Bug 187742 - net-im/py-pyxmpp: Support USE_GITHUB
Summary: net-im/py-pyxmpp: Support USE_GITHUB
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-19 18:40 UTC by tkato432
Modified: 2014-05-17 11:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.42 KB, patch)
2014-03-19 18:40 UTC, tkato432
no flags Details | Diff
net-im_py-pyxmpp.diff (1.42 KB, patch)
2014-04-17 18:50 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-03-19 18:40:01 UTC
- Support USE_GITHUB
- Add LICENSE
Comment 1 Edwin Groothuis freebsd_committer 2014-03-19 18:40:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 tkato432 2014-04-17 18:50:41 UTC
Remake of the patch against current tree.
Comment 3 dfilter service freebsd_committer 2014-05-17 10:49:55 UTC
Author: miwi
Date: Sat May 17 09:49:51 2014
New Revision: 354302
URL: http://svnweb.freebsd.org/changeset/ports/354302
QAT: https://qat.redports.org/buildarchive/r354302/

Log:
  - Support USE_GITHUB
  - Add LICENSE
  
  PR:		187742
  Submitted by:	Ports Fury

Modified:
  head/net-im/py-pyxmpp/Makefile

Modified: head/net-im/py-pyxmpp/Makefile
==============================================================================
--- head/net-im/py-pyxmpp/Makefile	Sat May 17 08:44:41 2014	(r354301)
+++ head/net-im/py-pyxmpp/Makefile	Sat May 17 09:49:51 2014	(r354302)
@@ -5,24 +5,31 @@ PORTNAME=	pyxmpp
 PORTVERSION=	1.1.2
 PORTREVISION=	2
 CATEGORIES=	net-im python
-MASTER_SITES=	http://cloud.github.com/downloads/Jajcus/pyxmpp/
+MASTER_SITES=	GHC
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Python XMPP library
 
-BUILD_DEPENDS=	${PYTHON_SITELIBDIR}/dns/__init__.py:${PORTSDIR}/dns/py-dnspython \
+LICENSE=	LGPL21
+
+BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}dnspython>0:${PORTSDIR}/dns/py-dnspython \
 		${PYTHON_PKGNAMEPREFIX}m2crypto>=0.18.2:${PORTSDIR}/security/py-m2crypto \
-		${PYTHON_SITELIBDIR}/libxml2.py:${PORTSDIR}/textproc/py-libxml2
+		${PYTHON_PKGNAMEPREFIX}libxml2>0:${PORTSDIR}/textproc/py-libxml2
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
+WRKSRC=		${WRKDIR}/${DISTNAME}
+
+USE_GITHUB=	yes
+GH_ACCOUNT=	Jajcus
+
+USES=		shebangfix
+SHEBANG_FILES=	auxtools/*.py examples/*.py tests/*.py utils/*.py
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_AUTOPLIST=	yes
 
 post-patch:
-	@${GREP} -lR "/usr/bin/python" ${WRKSRC} | ${XARGS} \
-		${REINPLACE_CMD} -e "s|/usr/bin/python|${PYTHON_CMD}|"
 	@${REINPLACE_CMD} -e \
 		"/include_dirs =/s|\[.*|['${LOCALBASE}/include/libxml2','${LOCALBASE}/include']| ; \
 		 /library_dirs =/s|\[.*|['${LOCALBASE}/lib']|" ${WRKSRC}/setup.py
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2014-05-17 10:49:56 UTC
State Changed
From-To: open->closed